# Type alias TransferQuote

TransferQuote: {
destinationNativeGas?: bigint;
destinationToken: {
amount: bigint;
token: TokenId;
};
relayFee?: {
amount: bigint;
token: TokenId;
};
sourceToken: {
amount: bigint;
token: TokenId;
};
}

#### Type declaration

- ##### `Optional` destinationNativeGas?: bigint

- ##### destinationToken: {
  amount: bigint;
  token: TokenId;
  }

  - ##### amount: bigint

  - ##### token: TokenId

- ##### `Optional` relayFee?: {
  amount: bigint;
  token: TokenId;
  }

  - ##### amount: bigint

  - ##### token: TokenId

- ##### sourceToken: {
  amount: bigint;
  token: TokenId;
  }

  - ##### amount: bigint

  - ##### token: TokenId

- Defined in connect/src/wormholeTransfer.ts:128

Generated using TypeDoc